This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 808785 - Monitor blinks due to driver problem with new kernel
Monitor blinks due to driver problem with new kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 18:00 EDT by Lukas Tvrdy
Modified: 2013-02-13 07:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Tvrdy 2012-03-31 18:00:39 EDT
Description of problem:
With kernel-3.3.0-4.fc16.i686, nouveau driver has some problem with monitor
I use and it causes flickers in KDE Desktop environment.

Version-Release number of selected component (if applicable):
kernel-3.3.0-4.fc16.i686
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.i686

X.Org X Server 1.11.4

How reproducible:
3 out of 4 times

Steps to Reproduce:
1. Boot til kdm [no flickering]
2. log into KDE
3. KDE workspace blinks and is unusable, it responds very very slowly

  
Actual results:
Blinking, high CPU usage and dmesg full of errors like:
Mar 31 23:22:45 pavilion kernel: [ 1367.915735] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 82
Mar 31 23:22:45 pavilion kernel: [ 1367.915738] Raw EDID:
Mar 31 23:22:45 pavilion kernel: [ 1367.915740]         00 ff ff ff ff ff ff 00 4c 2d 7b 03 32 32 51 41
Mar 31 23:22:45 pavilion kernel: [ 1367.915743]         21 12 01 03 0e 2f 1e 78 2a 78 f1 a6 55 48 9b 26
Mar 31 23:22:45 pavilion kernel: [ 1367.915745]         12 50 54 bf ef 80 b3 00 81 80 81 40 71 4f 01 00
Mar 31 23:22:45 pavilion kernel: [ 1367.915747]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.915749]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.915751]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.915753]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.915755]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.949440] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 150
Mar 31 23:22:45 pavilion kernel: [ 1367.949443] Raw EDID:
Mar 31 23:22:45 pavilion kernel: [ 1367.949445]         00 ff ff ff ff ff ff 00 4c 2d 7b 03 32 32 51 41
Mar 31 23:22:45 pavilion kernel: [ 1367.949447]         21 12 01 03 0e 2f 1e 78 2a 78 f1 a6 55 48 9b 26
Mar 31 23:22:45 pavilion kernel: [ 1367.949449]         12 50 54 bf ef 80 b3 00 81 80 81 40 71 4f 01 01
Mar 31 23:22:45 pavilion kernel: [ 1367.949451]         01 01 01 01 01 01 7c 2e 90 a0 60 1a 1e 40 30 20
Mar 31 23:22:45 pavilion kernel: [ 1367.949453]         36 00 da 28 11 00 00 1a 00 00 00 fd 00 38 4b 1e
Mar 31 23:22:45 pavilion kernel: [ 1367.949455]         51 0e 00 0a 20 20 20 20 20 20 00 00 00 fc 00 53
Mar 31 23:22:45 pavilion kernel: [ 1367.949457]         79 6e 63 4d 61 73 74 65 72 0a 20 20 00 00 00 ff
Mar 31 23:22:45 pavilion kernel: [ 1367.949459]         00 48 38 ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.983138] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 248
Mar 31 23:22:45 pavilion kernel: [ 1367.983140] Raw EDID:
Mar 31 23:22:45 pavilion kernel: [ 1367.983143]         00 ff ff ff ff ff ff 00 4c 2d 7b 03 32 32 51 41
Mar 31 23:22:45 pavilion kernel: [ 1367.983145]         21 12 01 03 0e 2f 1e 78 2a 78 f1 a6 55 48 9b 26
Mar 31 23:22:45 pavilion kernel: [ 1367.983147]         12 50 54 bf ef 80 b3 00 81 80 81 40 71 4f 01 01
Mar 31 23:22:45 pavilion kernel: [ 1367.983149]         01 01 01 01 01 01 7c 2e 90 a0 60 1a 1e 40 30 20
Mar 31 23:22:45 pavilion kernel: [ 1367.983151]         36 00 da 28 11 00 00 1a 00 00 00 fd 00 1f ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.983153]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.983155]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.983157]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1367.983161] nouveau 0000:01:00.0: VGA-1: EDID block 0 invalid.
Mar 31 23:22:45 pavilion kernel: [ 1367.983164] [drm] nouveau 0000:01:00.0: DDC responded, but no EDID for VGA-1
Mar 31 23:22:45 pavilion kernel: [ 1368.120137] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 255
Mar 31 23:22:45 pavilion kernel: [ 1368.120140] Raw EDID:
Mar 31 23:22:45 pavilion kernel: [ 1368.120143]         00 ff ff ff ff ff ff 00 4c 2d 7b 03 32 32 51 41
Mar 31 23:22:45 pavilion kernel: [ 1368.120145]         21 12 01 03 0e 2f 1e 78 2a 78 f1 a6 55 48 9b 26
Mar 31 23:22:45 pavilion kernel: [ 1368.120147]         12 50 54 bf ef 80 b3 00 81 80 81 40 71 4f 01 01
Mar 31 23:22:45 pavilion kernel: [ 1368.120149]         01 01 01 01 01 01 7c 2e 90 a0 60 1a 1e 40 30 20
Mar 31 23:22:45 pavilion kernel: [ 1368.120151]         36 00 da 28 11 00 00 1a 00 00 00 fd 00 38 4b 1e
Mar 31 23:22:45 pavilion kernel: [ 1368.120153]         51 0e 00 0a 20 20 20 20 20 20 00 00 00 fc 00 53
Mar 31 23:22:45 pavilion kernel: [ 1368.120155]         79 6e 63 4d 61 73 74 65 72 0a 20 20 00 00 00 ff
Mar 31 23:22:45 pavilion kernel: [ 1368.120157]         00 48 39 58 51 38 32 30 30 35 36 0a 20 20 00 33
Mar 31 23:22:45 pavilion kernel: [ 1368.154498] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 186
Mar 31 23:22:45 pavilion kernel: [ 1368.154506] Raw EDID:
Mar 31 23:22:45 pavilion kernel: [ 1368.154512]         00 ff ff ff ff ff ff 00 4c 2d 7b 03 32 32 51 41
Mar 31 23:22:45 pavilion kernel: [ 1368.154518]         21 12 01 03 07 ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154523]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154528]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154533]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154538]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154543]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.154548]         ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Mar 31 23:22:45 pavilion kernel: [ 1368.261306] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
Mar 31 23:22:45 pavilion kernel: [ 1368.261310] Raw EDID:


Expected results:
No blinking, no errors in dmesg, fast response, same as with kernel 3.2.5-3.fc16.i686

Additional info:
I tried to test with kernel 3.2.5-3.fc16.i686 and there are no error messages and it worked. I tested once so far.

I have dual screen setup with monitor Samsung SyncMaster 2253LW and internal laptop monitor, which is turned off when booting (using KDE's Display Dialog setting)
Comment 1 Lukas Tvrdy 2012-04-18 07:33:35 EDT
The bug is reproducible usually on first or second boot per day -- I have to reboot because the system gets unusable. Then the monitor usually does not blink.
But I decided to keep kernel 3.2.5 around.

I noticed that the bug is still there after some series of kernel 3.3.x updates.

Can I help somehow to identify the problem? I will try to test with Live Fedora 17 beta disk.
Comment 2 saejin 2012-08-31 11:45:05 EDT
I have a similar symptom that may shed some light onto your situation.
I am running Fidora 17 with an Invidia graphic card. 

Things work fine unless, I run the monitor through a KVM switch.
With the KVM switch, the monitor is not properly detected, and the Invidia driver sets the resolution to a low resolution.  Ever 20 seconds or so, it resets the monitor and tries again to identify the monitor.  When it does the reset the screen goes blank for about 1 second.

So I have a low resolution display that goes black every 20 seconds.
Perfect.....  I have been trying to find a solution to hard configure the monitor settings like in /etc/X11/Xorg.conf  but my system has no such file.  I am guessing the new version does not use such a file.

I also looked at ~/.conf/monitors.xml which contains a complete monitor descriptor when I do not use the KVM switch, but I do not find a way to make it persist so I can boot with the KVM switch.

Right now I must remove the KVM switch each time I boot.
 It sounds like the bug of this thread would also benefit from a fixed configuration instead of a sensed one. Can anyone shed some light on this?
Comment 3 saejin 2012-08-31 11:46:48 EDT
I have a similar symptom that may shed some light onto your situation.
I am running Fidora 17 with an Invidia graphic card. 

Things work fine unless, I run the monitor through a KVM switch.
With the KVM switch, the monitor is not properly detected, and the Invidia driver sets the resolution to a low resolution.  Ever 20 seconds or so, it resets the monitor and tries again to identify the monitor.  When it does the reset the screen goes blank for about 1 second.

So I have a low resolution display that goes black every 20 seconds.
Perfect.....  I have been trying to find a solution to hard configure the monitor settings like in /etc/X11/Xorg.conf  but my system has no such file.  I am guessing the new version does not use such a file.

I also looked at ~/.conf/monitors.xml which contains a complete monitor descriptor when I do not use the KVM switch, but I do not find a way to make it persist so I can boot with the KVM switch.

Right now I must remove the KVM switch each time I boot.
 It sounds like the bug of this thread would also benefit from a fixed configuration instead of a sensed one. Can anyone shed some light on this?
Comment 4 Fedora End Of Life 2013-01-16 07:31:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 07:49:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.